import { FC, MouseEventHandler } from 'react';
export interface EmptyStateProps {
    /**
     * The text of the call-to-action button.
     */
    btnTxt?: string;
    /**
     * CSS class name
     */
    className?: string;
    /**
     * The content of the header.
     */
    description: string;
    /**
     * The path to the source of the illustration to use. If not supplied, a default illustrtion
     * will be used. Illustrations for this use can be found at [undraw.co](https://undraw.co).
     *
     * Hint: Use the colour #DFE0F5 to customise the illustrations before you download them.
     */
    illustration?: string;
    /**
     * On click handler.
     */
    onClick?: MouseEventHandler;
    /**
     * The React Router Link to follow when the button is pressed
     */
    tagline: string;
    /**
     * A description of the empty state to the user.
     */
    to?: string;
}
/**
 * Use empty states when there is no data to display to the user.
 */
export declare const EmptyState: FC<EmptyStateProps>;
