import React, { FC } from 'react';
export interface DatePickerProps {
    /**
     * Whether the `datePicker` element is disabled.
     */
    disabled?: boolean;
    /**
     * The id of the `input` element.
     */
    id?: string;
    /**
     *     Format string.
     */
    inputFormat?: any;
    /**
     * Pass a ref to the input element.
     */
    inputRef?: React.Ref<any>;
    /**
     * The content of the label, if empty no label will be shown.
     */
    label?: React.ReactNode;
    /**
     *     Max selectable date.
     */
    maxDate?: any;
    /**
     *     Min selectable date.
     */
    minDate?: any;
    /**
     *   Make picker read only.
     */
    readOnly?: boolean;
    /**
     * Callback fired when the value (the selected date) changes.
     */
    onChange?: any;
    /**
     * Control the popup or dialog open state.
     */
    open?: boolean;
    /**
     * The value of the picker.
     */
    value?: any;
    /**
     * When set to true, label is shown on the left.
     */
    labelLeft?: boolean;
}
export interface DateTimePickerProps {
    /**
     * Whether the `datePicker` element is disabled.
     */
    disabled?: boolean;
    /**
     * The id of the `input` element.
     */
    id?: string;
    /**
     *     Format string.
     */
    inputFormat?: any;
    /**
     * Pass a ref to the input element.
     */
    inputRef?: React.Ref<any>;
    /**
     * The content of the label, if empty no label will be shown.
     */
    label?: React.ReactNode;
    /**
     *     Max selectable date.
     */
    maxDate?: any;
    /**
     *     Min selectable date.
     */
    minDate?: any;
    /**
     *     Max time acceptable time. For input validation date part of passed object will be ignored if disableIgnoringDatePartForTimeValidation not specified.
     */
    maxTime?: any;
    /**
     *     Min time acceptable time. For input validation date part of passed object will be ignored if disableIgnoringDatePartForTimeValidation not specified.
     */
    minTime?: any;
    /**
     *     Maximal selectable moment of time with binding to date, to set max time in each day use maxTime.
     */
    maxDateTime?: any;
    /**
     *     Minimal selectable moment of time with binding to date, to set min time in each day use minTime.
     */
    minDateTime?: any;
    /**
     *   Make picker read only.
     */
    readOnly?: boolean;
    /**
     * Callback fired when the value (the selected date) changes.
     */
    onChange?: any;
    /**
     * Control the popup or dialog open state.
     */
    open?: boolean;
    /**
     * The value of the picker.
     */
    value?: any;
    /**
     * When set to true, label is shown on the left.
     */
    labelLeft?: boolean;
}
export interface TimePickerProps {
    /**
     * Whether the `datePicker` element is disabled.
     */
    disabled?: boolean;
    /**
     * The id of the `input` element.
     */
    id?: string;
    /**
     *     Format string.
     */
    inputFormat?: any;
    /**
     * Pass a ref to the input element.
     */
    inputRef?: React.Ref<any>;
    /**
     * The content of the label, if empty no label will be shown.
     */
    label?: React.ReactNode;
    /**
     *   Make picker read only.
     */
    readOnly?: boolean;
    /**
     * Callback fired when the value (the selected date) changes.
     */
    onChange?: any;
    /**
     * Control the popup or dialog open state.
     */
    open?: boolean;
    /**
     * The value of the picker.
     */
    value?: any;
    /**
     * When set to true, label is shown on the left.
     */
    labelLeft?: boolean;
}
export declare const DatePicker: FC<DatePickerProps>;
/**
 * DateTimePicker allows users to pick a date and time.
 */
export declare const DateTimePicker: FC<DateTimePickerProps>;
/**
 * DateTimePicker allows users to pick a time.
 */
export declare const TimePicker: FC<TimePickerProps>;
