import React, { FC } from 'react';
export interface SidesheetProps {
    /**
     * The content of the sidebar
     */
    children: React.ReactNode;
    /**
     * Whether sidesheet should be open
     */
    open: boolean;
    /**
     * Sidesheet's title
     */
    title?: string;
    /**
     * Function that toggles sidesheet visibility
     */
    toggleSidesheet(event: React.MouseEvent<HTMLButtonElement>): void;
}
/**
 * Actions area for card
 * @param children The contents of the component
 */
export declare const SidesheetActions: FC;
/**
 * Main body of the card
 * @param children The contents of the component
 */
export declare const SidesheetBody: FC;
export declare const SidesheetHeader: FC;
export declare const Sidesheet: FC<SidesheetProps>;
