import React, { FC } from 'react';
export interface stepProps {
    label?: string;
    content?: React.ReactNode;
    handleClick?: React.MouseEventHandler;
    nextIsDisabled?: boolean;
}
export interface StepperProps {
    /**
     * An array of objects with the following properties:
     *
     * Name | Type | Description | Default
     * --- | --- | --- | ---
     * label | string | Step's description label. | -
     * content | React.ReactNode | Step's content. You can pass a component, an element or an empty string | -
     * handleClick | function | A function that will be executed on item's `onClick` method, e.g. `(e) => console.log(e)`. By default, `e`, the React's synthetic event, is passed to that function. When additional parameters are passed by another API implementation, e.g. `Table`, it is explicitly documented. | -
     * nextIsDisabled | boolean | Whether the `Next` button is disabled. | `false`
     */
    steps: stepProps[];
}
/**
 *
 * Steppers display progress through a sequence by breaking it up into
 * multiple logical and numbered steps.
 */
export declare const Stepper: FC<StepperProps>;
